D-Bus 1.13.18

Data Fields
DBusTransportVTable Struct Reference

The virtual table that must be implemented to create a new kind of transport. More...

`#include <dbus-transport-protected.h>`

## Data Fields
void(* | finalize )(DBusTransport *transport)
| The finalize method must free the transport.
dbus_bool_t(* | handle_watch )(DBusTransport *transport, DBusWatch *watch, unsigned int flags)
| The handle_watch method handles reading/writing data as indicated by the flags.
void(* | disconnect )(DBusTransport *transport)
| Disconnect this transport.
dbus_bool_t(* | connection_set )(DBusTransport *transport)
| Called when transport->connection has been filled in.
void(* | do_iteration )(DBusTransport *transport, unsigned int flags, int timeout_milliseconds)
| Called to do a single "iteration" (block on select/poll followed by reading or writing data).
void(* | live_messages_changed )(DBusTransport *transport)
| Outstanding messages counter changed.
dbus_bool_t(* | get_socket_fd )(DBusTransport *transport, DBusSocket *fd_p)
| Get socket file descriptor.

## Detailed Description

The virtual table that must be implemented to create a new kind of transport.

Definition at line 41 of file dbus-transport-protected.h.

The documentation for this struct was generated from the following file:

- dbus-transport-protected.h